# 59. Forespørgsel: Hent "AsAppliedDatasets"

Hent alle "AsAppliedDatasets" for den valgte "Field". Datasæt kan hentes ved hjælp af generiske GraphQL-forespørgsler som `getFarms` og `getFields` fra det tilknyttede "Field".&#x20;

{% hint style="warning" %}
Et "AsAppliedDataset" skal være uploadet på forhånd.
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetAsAppliedDatasetsViaGetFarms {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]) {
    uuid 
    navn
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      asAppliedDatasets {
        uuid 
        navn
        number #samlet antal geofunktioner 
        geometryType 
        totalCoveredArea(unit: HECTARES) 
        fieldCoverage 
        fieldCoveredArea(unit: HECTARES)
  
        attributes
        
        fullAttributes { #komplette detaljer pr. attribut
          name #link til statistik >> attribut
          transliteratedName
          fullName #korrekt menneskeligt læsbart navn
          unit#måleenheder
        }

        usedMachines { #brugte maskiner
          id
          serial
          operatorId
        } 

        createdDate #enhed oprettet dato og tid i GeoPard
        updatedDate #sidste opdateringsdato og -tid
        operationId
        operationType
        operationFileDate #filens oprettelsesdato og -tid kommer fra metainformationen 
        operationStartDate #operationens starttidspunkt kommer fra metainformationen
        
        statistics { #statistikfordeling for hver attribut
          attribute
          min
          max
          avg
          mdn
          var
          std
          sum
        }

        geoMaps {
          url
          kortNavn
          hexColorCodes
          classes
        }
      }
    }
  } 
}
```

{% endcode %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetAsAppliedDatasetsViaGetFields { 
  getFields (filter: {fieldUuid: "<placeholder_of_field_uuid>"}) { 
    fields { 
      uuid
      area(unit: HECTARES) 
      asAppliedDatasets(asAppliedDatasetUuids: ["placeholder_of_dataset_uuid"]) { 
        uuid 
        navn
        number #samlet antal geofunktioner 
        geometryType 
        totalCoveredArea(unit: HECTARES) 
        fieldCoverage 
        fieldCoveredArea(unit: HECTARES)
  
        attributes
        
        fullAttributes { #komplette detaljer pr. attribut
          name #link til statistik >> attribut
          transliteratedName
          fullName #korrekt menneskeligt læsbart navn
          unit#måleenheder
        }

        usedMachines { #brugte maskiner
          id
          serial
          operatorId
        } 

        createdDate #enhed oprettet dato og tid i GeoPard
        updatedDate #sidste opdateringsdato og -tid
        operationId
        operationType
        operationFileDate #filens oprettelsesdato og -tid kommer fra metainformationen 
        operationStartDate #operationens starttidspunkt kommer fra metainformationen
        
        statistics { #statistikfordeling for hver attribut
          attribute
          min
          max
          avg
          mdn
          var
          std
          sum
        }

        geoMaps {
          url
          kortNavn
          hexColorCodes
          classes
        }
      }
    }
  } 
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/dnk/api-dokumentation/oversigt-over-geopard-api-anmodninger/59.-foresporgsel-hent-asapplieddatasets.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
